
class MAIN_WINDOW

inherit
	EV_TITLED_WINDOW
		redefine
			initialize,
			is_in_default_state
		end
		
create
	default_create

feature {NONE} -- Initialization

	initialize is
		do
			Precursor {EV_TITLED_WINDOW};
			(create {EV_ENVIRONMENT}).application.post_launch_actions.extend (agent test_widget)
			show
		end
		
	test_widget is
		local
			k: INTEGER
			gc: MEMORY 
		do
			create gc
			from k := 1 until k > 100000 loop
				wipe_out
				create label
				extend (label)
				gc.full_collect
				k := k + 1
			end
			(create {EV_ENVIRONMENT}).application.destroy
		end
		
feature {NONE} -- Implementation
		
	is_in_default_state: BOOLEAN is True

	label: EV_LABEL

end
